/*
Author: Robert Hashemian
http://www.hashemian.com/

You can use this code in any manner so long as the author's
name, Web address and this disclaimer is kept intact.
********************************************************
Usage Sample:

<script language="JavaScript">
TargetDate = "12/31/2020 5:00 AM";
BackColor = "palegreen";
ForeColor = "navy";
CountActive = true;
CountStepper = -1;
LeadingZero = true;
DisplayFormat = "%%D%% Days, %%H%% Hours, %%M%% Minutes, %%S%% Seconds.";
FinishMessage = "It is finally here!";
</script>
<script language="JavaScript" src="http://scripts.hashemian.com/js/countdown.js"></script>
*/

function calcage(secs, num1, num2) {
  s = ((Math.floor(secs/num1))%num2).toString();
  if (LeadingZero && s.length < 2)
    s = "0" + s;
  return "<b>" + s + "</b>";
}

function CountBack(secs,pID) {

  if (secs < 0) {
    if(eCheck == "" || eCheck == "0")
    {
    	changeToDisable(pID);
    }
    document.getElementById("cntdwn_"+pID).innerHTML = FinishMessage;
    return;
  }else {
    var n = parseInt(number_of_bought);
  	var t = parseInt(total_products);
    if(n >= t)
    {
    	changeToDisable(pID);
	    document.getElementById("cntdwn_"+pID).innerHTML = FinishMessage;
    	return;
    }
  }
  DisplayStr = DisplayFormat.replace(/%%D%%/g, calcage(secs,86400,100000));
  DisplayStr = DisplayStr.replace(/%%H%%/g, calcage(secs,3600,24));
  DisplayStr = DisplayStr.replace(/%%M%%/g, calcage(secs,60,60));
  DisplayStr = DisplayStr.replace(/%%S%%/g, calcage(secs,1,60));

  document.getElementById("cntdwn_"+pID).innerHTML = "<span style='color:green;'>"+DisplayStr+"</span>";
  if (CountActive)
  {
    setTimeout("CountBack(" + (secs+CountStepper) + ","+ pID +")", SetTimeOutPeriod);
   }
}

function putspan(backcolor, forecolor,pID) {
 document.write("<span id='cntdwn_"+pID+"'></span>");
}

if (typeof(BackColor)=="undefined")
  BackColor = "white";
if (typeof(ForeColor)=="undefined")
  ForeColor= "black";
if (typeof(TargetDate)=="undefined")
  TargetDate = "12/31/2020 5:00 AM";
if (typeof(DisplayFormat)=="undefined")
  DisplayFormat = "%%D%% Days, %%H%% Hours, %%M%% Minutes, %%S%% Seconds.";
if (typeof(CountActive)=="undefined")
  CountActive = true;
if (typeof(FinishMessage)=="undefined")
  FinishMessage = "";
if (typeof(CountStepper)!="number")
  CountStepper = -1;
if (typeof(LeadingZero)=="undefined")
  LeadingZero = true;
if (typeof(eCheck)=="undefined")
  eCheck = 0;
if (typeof(number_of_bought)=="undefined")
  number_of_bought = 0;
if (typeof(total_products)=="undefined")
  total_products = 0;

CountStepper = Math.ceil(CountStepper);
if (CountStepper == 0)
  CountActive = false;
var SetTimeOutPeriod = (Math.abs(CountStepper)-1)*1000 + 990;
putspan(BackColor, ForeColor,pID);
var dthen = new Date(TargetDate);
var dnow = new Date();
if(CountStepper>0)
  ddiff = new Date(dnow-dthen);
else
  ddiff = new Date(dthen-dnow);
gsecs = Math.floor(ddiff.valueOf()/1000);
CountBack(gsecs,pID);


var xmlHttp1

function changeToDisable(pID)
{

	var path =document.adminForm.path.value;
	var ranVal = Math.floor(Math.random()*11);
	var url=path+"index.php?option=com_jegroupbuy&view=jegroupbuy&task=changeToExpired";
	url=url+"&pID="+pID+'&ranVal='+ranVal+'&tmpl=component';
/*	var url=path+"components/com_jegroupbuy/assets/js/changeToDisable.php";
	url=url+"?pID="+pID+'&ranVal='+ranVal;
	*/
	xmlHttp1=GetXmlHttpObject();
	if (xmlHttp1==null)
	{
		alert ("Your browser does not support AJAX!");
		return;
	}
xmlHttp1.onreadystatechange= stateChanged1;
xmlHttp1.open("GET",url,true);
xmlHttp1.send(null);
}
function stateChanged1()
{
	if (xmlHttp1.readyState==4)
	{
		if (xmlHttp1.status == 200)
		{
			var response = xmlHttp1.responseText;
			//document.getElementById("respOutput").innerHTML = response;
		}
	}
}

function GetXmlHttpObject()
{
var xmlHttp1=null;
try
{
// Firefox, Opera 8.0+, Safari
xmlHttp1=new XMLHttpRequest();
}
catch (e)
{
// Internet Explorer
try
{
xmlHttp1=new ActiveXObject("Msxml2.XMLHTTP");
}
catch (e)
{
xmlHttp1=new ActiveXObject("Microsoft.XMLHTTP");
}
}
return xmlHttp1;
}
function test()
{

}
